﻿
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using DataTables.AspNetCore.Mvc
@model CyberaniumModels.ICD
@{
    ViewData["Title"] = "Index";
}
@if (!string.IsNullOrEmpty(TempData["success"]?.ToString()))
{
    <script>
        toastr.success('@TempData["success"]');
    </script>
}
else if (!string.IsNullOrEmpty(TempData["error"]?.ToString()))
{
    <script>
        toastr.error('@TempData["error"]');
    </script>
}
<script src="~/Script/Master/Regulation.js"></script>
<script src="~/Script/Master/Layout.js"></script>

<style>
    ul.multiselect-container.dropdown-menu.show {
        max-width: 750px !important;
        float: inherit !important;
        margin-top: 70px !important;
        left: 50% !important;
        transform: translate3d(-121px, -21px, 0px) !important;
    }

    .table_control {
        height: calc(100vh - 262px);
        padding: 0px 12px 15px;
        background: #f8f8f8;
        overflow-y: visible;
        overflow-y: auto;
    }

    .addbtn .add_litigation {
        margin-bottom: 15px;
    }

    .domaincls {
        height: calc(100vh - 262px);
        padding: 0px 12px 15px;
        background: #f8f8f8;
        overflow-y: auto;
    }

        .domaincls .table_control {
            margin-top: 12px;
        }

    /*tr td:first-child {
        text-align: left !important;
    }*/
</style>

<script>
    $(".orgmap .Event").click(function () {
        if ($(this).parent().parent().hasClass("inactive")) {
            $(".orgmap li.first").addClass("inactive");
            $(this).parent().parent().removeClass("inactive");
        } else {
            $(this).parent().parent().addClass("inactive");
        }
    })

    function fn_SaveRegulationXmlSelf() {
        debugger;
        var arr = new Array();
        $('#tblRegulationDetail tbody tr').each(function (i, tr) {
            debugger;
            arr[i] = {
                TypeId: $(tr).find("td:nth-child(2) option:selected").val() != undefined ? $(tr).find("td:nth-child(2) option:selected").val() : 0,
                Sector: $(tr).find("td:nth-child(3) option:selected").val() != undefined ? $(tr).find("td:nth-child(3) option:selected").val() : 0,
                Section: $(tr).find("td:nth-child(4) option:selected").val() != undefined ? $(tr).find("td:nth-child(4) option:selected").val() : 0,
                Domain: $(tr).find("td:nth-child(5) option:selected").val() != undefined ? $(tr).find("td:nth-child(5) option:selected").val() : 0,
                YearPublish: $(tr).find("td:nth-child(6) input[type=text]").val(),
                Revision: $(tr).find("td:nth-child(7) input[type=text]").val(),
                Requirement_ID: $(tr).find("td:nth-child(8) input[type=text]").val(),
                Text: $(tr).find("td:nth-child(9) input[type=text]").val(),
            }
        });
        var xmpRegulationdata = JSON.stringify(arr);
        $('#XmlRegulation').val(JSON.stringify(arr));
        var country = $('select#CountryId option:selected').val();
        var ttle = $('#Title').val();
        var code = $('#Code').val();
        debugger;
        $.post('/Master/IntregratedControl/SaveupdateLawRegulation', { country: country, ttle: ttle, code: code, XmlRegulation: xmpRegulationdata }, function (res) {
            debugger;
            if (res.isSuccess) {
                $("#ModelAddRegulations").modal("hide");
            } else {
                toastr.error('Something went wrong!');
            }
            //$('#preloader').hide();
        });
    }
</script>

<style>
    .backtolist {
        margin-top: 3px !important;
    }

    .orgmap li span.text.active {
        background-color: #915799;
    }

    .table thead tr th input[type="button"] {
        border: 1px solid #c3bbbbee;
        padding: 2px 10px;
        color: #61c1c1;
        background-color: #ffff;
        border-radius: 5px;
    }

    .tab_content {
        display: none;
        padding: 15px 0px;
    }

        .tab_content.active {
            display: block;
        }

    .tab_ul {
        display: block;
    }

    .tab_ul_in {
        margin: 0px;
        padding: 0px;
        border-bottom: solid 1px #ccc;
    }

        .tab_ul_in li {
            display: inline-block;
            list-style-type: none;
            margin-right: 8px;
            border-radius: 5px 5px 0px 0px;
            background-color: #eaeaea;
            padding: 10px 15px;
            cursor: pointer;
        }

            .tab_ul_in li.active {
                background-color: #00a3a1;
                color: #fff;
            }

    .nextbtn {
        float: right;
        padding: 8px 16px;
        border: none;
        background: #00a3a1;
        color: #fff;
        text-align: center;
        font-size: 14px;
        -o-transition: 0.3s;
        -moz-transition: 0.3s;
        -webkit-transition: 0.3s;
        transition: 0.3s;
    }

    .backbtn {
        float: left;
        padding: 8px 16px;
        border: none;
        background: #483698;
        color: #fff;
        text-align: center;
        font-size: 14px;
        -o-transition: 0.3s;
        -moz-transition: 0.3s;
        -webkit-transition: 0.3s;
        transition: 0.3s;
    }

        .nextbtn:hover, .backbtn:hover {
            color: #fff;
        }

    .cusbtn-primary {
        background: #00a3a1;
        color: #fff;
    }

    .cusbtn-secondary {
        background: #483698;
        color: #fff;
    }

        .cusbtn-primary:hover, .cusbtn-secondary:hover {
            color: #fff;
        }

        .cusbtn-primary:focus, .cusbtn-primary:active, .cusbtn-secondary:focus, cusbtn-secondary:active {
            outline: none !important;
            box-shadow: none;
            color: #fff;
        }

    .ControlDescription {
        height: 112px !important;
    }
</style>

<script type="text/javascript">
    $(document).ready(function () {
        $("#btnsubmit").show();
        //$('.multiple').multiselect({
        //    enableFiltering: true,
        //    includeSelectAllOption: true
        //})
        if ($("#Id").val() > 0) {
            $(".titile_heading h1").html("Edit Control");
            $(".service_line").addClass("active");
            $(".assign_panel").hide();
            $(".titile_heading").show();
            $(".backtolist").show();

             $('select[name=CountryId]').val([@ViewBag.country]).change();
            $('select[name=SectorId]').val([@ViewBag.SectorId]).change();
            $('select[name=ThreatId]').val([@ViewBag.Threat]).change();
            $('select[name=ControlCategoryId]').val([@ViewBag.Category]).change();
            $('select[name=StandardIds]').val([@ViewBag.StandardIds]).change();
            $(".multiple").multiselect('rebuild');
        }
        else {
            $(".titile_heading h1").html("Control list");
            $(".service_line").removeClass("active");
            $(".assign_panel").show();
            $(".titile_heading").show();
            $(".backtolist").hide();

        }
    });
    function fn_Search() {
        var Country = $("#s_CountryId").val();
        var type = $("#s_TypeId").val();
        var Section = $("#s_Section").val();
        var Sector = $("#s_Sector").val();
        var Regulation = $("#s_Regulation").val();
        $.ajax({
            type: "GET",
            url: "/Master/REGO/Index",
            data: jQuery.param({
                Country: $("#s_CountryId").val(),
                type: $("#s_TypeId").val(),
                Section: $("#s_Section").val(),
                Sector: $("#s_Sector").val(),
                Regulation: $("#s_Regulation").val()
            }),
            //dataType: "json",
            //contentType: "application/json",
            success: function (data) {
                $("#ajaxresult").html(data);
                $("#s_CountryId").val(Country);
                $("#s_TypeId").val(type);
                $("#s_Section").val(Section);
                $("#s_Sector").val(Sector);
                $("#s_Regulation").val(Regulation);
                //$.each(res, function (data, value) {

                //    $("#Regulation").append($("<option></option>").val(value.id).html(value.title));
                //})
            }
        });

    }
    function AddButton() {
        $(".titile_heading h1").html("Add Control");
        $(".service_line").addClass("active");
        $(".assign_panel").hide();
        $(".backtolist").show();

        //$(".titile_heading").show();}
    }
    function BackButton() {
        $('a[href="/Master/IntregratedControl/Index"]').click();
        $(".titile_heading h1").html("Control List");
        $(".service_line").removeClass("active");
        $(".assign_panel").show();
        $(".backtolist").hide();

        //$(".titile_heading").show();
        //$("#viewbutton").show();
    }
    function fn_GetRegulation() {
        if ($("#SectorId").val() != null && $("#CountryId").val() != null) {
            $("#MixRegulation tbody").empty();
            // $("#MixRegulation ul").append($("<option></option>").val(0).html("Select"));
            $.ajax({
                type: "GET",
                url: "/Master/Regulation/GetSectorCountryWiseRegulation",
                data: jQuery.param({ SectorId: $("#SectorId").val().toString().replace("multiselect-all", ""), CountryId: $("#CountryId").val().toString().replace("multiselect-all", "") }),
                dataType: "json",
                contentType: "application/json",
                success: function (res) {
                    $.each(res, function (data, value) {

                        //  $("#MixRegulation").append($("<li></li>").id(value.id).html(value.title));
                        $("#MixRegulation tbody").append(
                            "<tr>" +
                            "<td>" + "<input type='checkbox' checked class='RegulationId' value=" + value.regoId + "/>" + "</td>" +
                            "<td>" + value.countryName + "</td>" +
                            "<td>" + value.sectorName + "</td>" +
                            "<td>" + value.regulationName + "</td>" +
                            "<td>" + value.requirement_ID + "</td>" +
                            "</tr>"
                        );
                    })
                }

            });
        }
    }
    function GetSubDomain(domain) {
        $.get('/Master/Domain/GetSubDomainByDomainId', { DomainId: parseInt($(domain).val()) }, function (data) {
            $('#SubDomain').html('');
            $('#SubDomain').append('<option value="">Select SubDomain</option>');
            $.each(data, function (i, value) {
                $('#SubDomain').append('<option value="' + value.id + '">' + value.subDomain + '</option>');
            });
        });
    }
    function fn_getVal(subDomain) {
        $.ajax({
            url: "/master/IntregratedControl/CodeById",
            type: "POST",
            cache: false,
            data: { DomainId: $("select#DomainId option:selected").val(), SubDomain: $("select#SubDomain option:selected").text() },
            success: function (result) {
                var code = result.returnMessage;
                $.ajax({
                    url: "/master/IntregratedControl/ControlById",
                    type: "POST",
                    cache: false,
                    data: { DomainId: $("select#DomainId option:selected").val(), SubDomainId: $("select#SubDomain option:selected").val() },
                    success: function (res) {
                        $("input[name=ControlId]").val(code + "-" + (res.returnMessage == null ? 1 : parseInt(res.returnMessage) + 1));
                    },
                    error: function (ex) {
                        console.log(ex.responseText);
                    }
                })
            },
            error: function (ex) {
                console.log(ex.responseText);
            }
        });
    }
    function AddMoreRow() {
        var i = $('#multiRowDiv').children('div').length;
        $('#multiRowDiv').append('<div class="row addRemoveDiv">' +
            '<div class="col-md-4 col-sm-6 col-xs-12">' +
            '<label>Name</label>' +
            '<div class="select_box m_bottom">' +
            '<input class="form-control Artefacts" placeholder="Enter name"/>' +
            '</div></div>' +
            '<div class="col-2">' +
            '<label class="remvbtn" onclick="RemoveRow(this)" style="cursor:pointer"></label>' +
            '</div></div>');
    }
    function RemoveRow(div) {
        $(div).parent('div').eq(0).parent('div').remove();
    }
    function fnSetMultiselectValue() {
        event.preventDefault();
        var ICDCategoryMapXML = [], ICDStandardMapXML = [], ICDThreatMapXML = [], ICDRegulationMapXML = [],
            ICDArtefactMapXML = [], CountryIds = [], SectorIds = [], IaaS = [], PaaS = [], SaaS = [];
        $('#ControlCategoryId option:selected').each(function (i) {
            if ($(this).val() == 'multiselect-all') {
                return;
            }
            ICDCategoryMapXML[i] = {
                Id: 0,
                CategoryId: parseInt($(this).val())
            }
        });
        $('#ICDCategoryMapXML').val(JSON.stringify(ICDCategoryMapXML));

        $('#StandardIds option:selected').each(function (i) {
            if ($(this).val() == 'multiselect-all') {
                return;
            }
            ICDStandardMapXML[i] = {
                Id: 0,
                StandardId: parseInt($(this).val())
            }
        });
        $('#ICDStandardMapXML').val(JSON.stringify(ICDStandardMapXML));

        $('#ThreatId option:selected').each(function (i) {
            if ($(this).val() == 'multiselect-all') {
                return;
            }
            ICDThreatMapXML[i] = {
                Id: 0,
                ThreatId: parseInt($(this).val())
            }
        });
        $('#ICDThreatMapXML').val(JSON.stringify(ICDThreatMapXML));

        $('.RegulationId:checked').each(function (i) {
            ICDRegulationMapXML[i] = {
                Id: 0,
                RegulationId: parseInt($(this).attr("value"))
            }
        });
        $('#ICDRegulationMapXML').val(JSON.stringify(ICDRegulationMapXML));

        $('.Artefacts').each(function (i, v) {
            ICDArtefactMapXML[i] = {
                Id: 0,
                Name: $(this).val()
            }
        });
        $('input[name="ICDArtefactMapXML"]').val(JSON.stringify(ICDArtefactMapXML));

        $('#CountryId option:selected').each(function (i) {
            if ($(this).val() == 'multiselect-all') {
                return;
            }
            CountryIds.push($(this).val());
        });
        $('#CountryIds').val(CountryIds);

        $('#SectorId option:selected').each(function (i) {
            if ($(this).val() == 'multiselect-all') {
                return;
            }
            SectorIds.push($(this).val());
        });
        $('#SectorIds').val(SectorIds);

        $('.CloudCheckbox').each(function (i) {
            if ($(this).index() == 0 || $(this).index() == 3) {
                IaaS.push($(this).prop("checked") ? $(this).attr("value") : 0);
            } else if ($(this).index() == 1 || $(this).index() == 4) {
                PaaS.push($(this).prop("checked") ? $(this).attr("value") : 0);
            } else if ($(this).index() == 2 || $(this).index() == 5) {
                SaaS.push($(this).prop("checked") ? $(this).attr("value") : 0);
            }
        });
        $('#IaaS').val(IaaS);
        $('#PaaS').val(PaaS);
        $('#SaaS').val(SaaS);
        if ($("select[name=DomainId]").val() == "") {
            toastr.warning("Please select domain.");
            return false;
        }
        if ($("select[name=SubDomainId]").val() == "") {
            toastr.warning("Please select sub domain.");
            return false;
        }
        if ($('#ControlId').val() == '' || $('#ControlId').val() == null) {
            toastr.warning('Please enter control id!');
            return false;
        }
        if ($('#ControlName').val() == '' || $('#ControlName').val() == null) {
            toastr.warning('Please enter control name!');
            return false;
        }
        if ($('#ControlDescription').val() == '' || $('#ControlDescription').val() == null) {
            toastr.warning('Please enter control description!');
            return false;
        }
        if (ICDCategoryMapXML.length == 0) {
            toastr.warning('Please select atleast one control category!');
            return false;
        }
        if ($('#ControlTypeId').val() == '' || $('#ControlTypeId').val() == null) {
            toastr.warning('Please select a control type!');
            return false;
        }
        if ($('#StandardIds').val() == '' || $('#StandardIds').val() == '0') {
            toastr.warning('Please select a standard!');
            return false;
        }
        if (ICDThreatMapXML.length == 0) {
            toastr.warning('Please select atleast one threat!');
            return false;
        }
        if (CountryIds.length == 0) {
            toastr.warning('Please select atleast one country!');
            return false;
        }
        if (SectorIds.length == 0) {
            toastr.warning('Please select atleast one sector from selected country!');
            return false;
        }
        $('form').submit();
    }
    function fnBlockDelete(Id,Type,input) {
        Swal.fire({
            title: 'Are you sure?',
            text: 'You are about to delete this Control',
            showCancelButton: true,
            confirmButtonText: 'Delete',
        }).then((result) => {
            if (result.isConfirmed) {
                $('#preloader').show();
                $.get('/Master/IntregratedControl/BlockDeleteICD', { Id: Id, Type: Type}, function (res) {
                    if (res.code == 200) {
                        toastr.success('Deleted successfully');
                        $(input).parent().parent().remove();
                        } else {
                        toastr.error('Something went wrong!');
                    }
                })
            }
        })
    }

    function fn_GetDomainNameAdd() {
        $('#DomaintypeId').val('');
        $('#DomainName').val('');
        $('#DomainCode').val('');
    }

    function fn_GetDomainName() {
        var DomailVal = $('#DomainId').val();
        $('#DomaintypeId').val('');
        $('#DomainName').val('');
        $('#DomainCode').val('');
        var DomailText = $('select#DomainId option:selected').text();
        if (DomailVal > 0) {
            $.ajax({
                url: "/Master/IntregratedControl/GetDomainID",
                type: "POST",
                cache: false,
                data: { ID: $("select#DomainId option:selected").val() },
                success: function (result) {
                    debugger
                    // $("input[name=DomainCode]").val(result[0].domainCode + "-");
                    $('#DomaintypeId').val(result[0].id);
                    $('#DomainName').val(result[0].domainName);
                    $('#DomainCode').val(result[0].domainCode);
                }, error: function (ex) {
                    console.log(ex.statusText);
                }
            })
        }

    }

    function fn_GetSubDomainNameAdd() {
        $('#SubDomainNameId').val(0);
        $('#SubDomainName').val('');
        $('#SubDomainCode').val('');
    }

    function fn_GetSubDomainName() {
        debugger
        var DomailVal = $('#SubDomain').val();
        $('#SubDomainNameId').val('');
        $('#SubDomainName').val('');
        $('#SubDomainCode').val('');
        var DomailText = $('select#SubDomain option:selected').text();
        if (DomailVal > 0) {
            $.ajax({
                url: "/Master/IntregratedControl/GetDomainListID",
                type: "POST",
                cache: false,
                data: { ID: $("select#SubDomain option:selected").val() },
                success: function (result) {
                    debugger
                    $('#SubDomainNameId').val(result[0].domainId);
                    $('#SubDomainName').val(result[0].subDomain);
                    $('#SubDomainCode').val(result[0].code);
                }, error: function (ex) {
                    console.log(ex.statusText);
                }
            })
        }

    }

    function fn_updateDomain() {
        debugger
        var DomailVal = $('#SubDomain').val();
        var SubDomainNameId =  $('#SubDomainNameId').val();
        var SubDomainName =  $('#SubDomainName').val();
        var SubDomainCode = $('#SubDomainCode').val();
        var DomailText = $('select#SubDomain option:selected').text();
        if (DomailVal > 0) {
            $.ajax({
                url: "/Master/IntregratedControl/SaveupdateDomain",
                type: "POST",
                cache: false,
                data: { ID: $("select#SubDomain option:selected").val(), DomainId: SubDomainNameId, SubDomain: SubDomainName, Code: SubDomainCode },
                success: function (result) {
                    debugger
                    $("#SubDomainModalDetails").modal("hide");
                    $("#SubDomainModal").modal("hide");
                }, error: function (ex) {
                    console.log(ex.statusText);
                }
            })
        }
        else {
            $.ajax({
                url: "/Master/IntregratedControl/SaveupdateDomain",
                type: "POST",
                cache: false,
                data: { ID: 0, DomainId: SubDomainNameId, SubDomain: SubDomainName, Code: SubDomainCode },
                success: function (result) {
                    debugger
                    $("#SubDomainModalDetails").modal("hide");
                    $("#SubDomainModal").modal("hide");
                }, error: function (ex) {
                    console.log(ex.statusText);
                }
            })
        }

    }

    function BindDomain() {
        $.ajax({
            url: "/Master/IntregratedControl/GetDomain",
            type: "POST",
            cache: false,
            success: function (list) {
                $('select[name=DomainId]').find('option:not(:first)').remove();
                for (var i = 0; i < list.length; i++) {
                    $('select[name=DomainId]').append("<option value=" + list[i].id + ">" + list[i].domainName + "</option>");
                }
            },
            error: function (ex) {
                console.log(ex.responseText);
            }
        });
    }
    var name, Code = "";
    $("#cBtn").click(function () {
        debugger
        if ($("#DomainName").val() == "" || name != "") {
            var vali = name != "" ? name : "Domain name required.";
            toastr.error(vali);
            return false;
        } else if ($("#DomainCode").val() == "" || Code != "") {
            var vali = Code != "" ? Code : "Domain code required.";
            toastr.error(vali);
            return false;
        } else {
            $.ajax({
                url: "/Master/IntregratedControl/DomainSave",
                type: "POST",
                cache: false,
                data: { Id: $("#DomaintypeId").val(), DomainName: $("#DomainName").val(), DomainCode: $("#DomainCode").val() },
                success: function (result) {
                    debugger
                    if (result.isSuccess) {
                        BindDomain();
                        $("#DomainName").val("");
                        $("#DomainCode").val("");
                        $("#DomainModal").modal("hide");
                        $("#DomainModalDetails").modal("hide");
                        toastr.success("Save domain successfully");
                    } else {
                        toastr.error("Something is wrong!!");
                    }
                },
                error: function (ex) {
                    console.log(ex.responseText);
                }
            });
        }
    });
    function fn_BindICDControls(Id, input) {
        $(".orgmap li span.text").removeClass("active");
        $(input).addClass("active");
        $.ajax({
            url: "/Master/IntregratedControl/GetControlByDomain",
            type: "POST",
            data: { SubDomainId: Id },
            success: function (result) {
                $("#tblICD tbody").empty();
                if (result.length > 0) {
                    for (var i = 0; i < result.length; i++) {
                        $("#tblICD tbody").append("<tr><td>" + result[i].controlTypeName + "</td><td>" + result[i].controlId + "</td>" +
                            "<td>" + result[i].controlName + "</td><td style=width:25%>" + result[i].controlDescription + "</td>" +
                            "<td><a onclick='fn_EditICDControl(" + result[i].id + ")' class='edit_btn' ></a > <a href='#' class='delete_btn' onclick = 'fnBlockDelete(" + result[i].id + ",1,this)' ></a ></td ></tr > "
                        );
                    }
                } else {
                    $("#tblICD tbody").append("<tr><td colspan='13' class='text-center'></td></tr>");
                }
            },
            error: function (ex) {
                console.log(ex.responseText);
            }
        })

    }
    function fn_EditICDControl(ID) {
        $.get('/Master/IntregratedControl/Index', { id: ID }, function (res) {
            $("#ajaxresult").html(res);

        })
    }
    function fnValidateFile(input) {
        var fileSize = input.files[0].size;
        var filePath = $(input).val().toLowerCase();
        var fileName = filePath.substr((filePath.lastIndexOf('\\') + 1));
        var fileExtension = filePath.substr((filePath.lastIndexOf('.') + 1));
        if (!(fileExtension === 'xls' || fileExtension === 'xlsx' || fileExtension === 'xlsm')) {
            $('#excelFile').val('');
            $('#strongAlert').css('color', 'red').text('Alert! Please choose correct file format.');
        }
        else {
            $('#divBtnSubmit').show();
            $('#strongAlert').css('color', 'green').text('Correct file format, click submit to upload this file.');
        }
    }
    function UploadExcel() {
        $('#divBtnSubmit').hide();
        var val = $('#excelFile').val();
        var files = $("#excelFile").get(0).files;
        if (window.FormData !== undefined) {
            var fileData = new FormData();
            for (var i = 0; i < files.length; i++) {
                fileData.append(files[i].name, files[i]);
            }
            $.ajax({
                url: '/Master/IntregratedControl/GetJsonFromExcelFile',
                type: 'post',
                contentType: false,
                processData: false,
                data: fileData,
                success: function (res) {
                    if (res.code == 200) {
                        $.post('/Master/IntregratedControl/SubmitICDByExcel', { orgId: $('#OrgID').val(), str: JSON.stringify(res.data) }, function (res) {
                            debugger;
                            if (res.isSuccess) {
                                $('#strongAlert').css('color', 'sandybrown').text('Please choose only downloaded excel file.');
                                toastr.success('ICD uploaded successfully.');
                            } else {
                                toastr.error('internal server error!');
                            }
                        })
                    } else {
                        $('#strongAlert').css('color', 'sandybrown').text('Please choose only downloaded excel file.');
                        toastr.warning(res.message);
                    }
                    $('#excelFile').val('');
                },
                error: function (err) {
                    toastr.error(err.statusText);
                }
            });
        } else {
            alert("FormData is not supported.");
        }
    }

</script>

<section>
    @Html.HiddenFor(m => m.Id)

    <div class="right_section">
        <div class="titile_heading" id="title_List">
            <h1>Control List </h1>
            <input type="button" name="Back" class="backtolist" onclick="BackButton()" value="Back to list">
            <div class="titile_line"></div>
        </div>
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="right_panel">
                <div class="right_content">
                    <div class="service_line" id="EditDiv">
                        <link href="~/Script/summernote/summernote.css" rel="stylesheet" />
                        <style>
                            .note-toolbar .btn-group, .note-toolbar .btn-group .btn {
                                width: inherit !important;
                            }
                        </style>
                        <form asp-formhelper="true" asp-action="SubmitICD" asp-controller="IntregratedControl"
                              data-ajax="true"
                              data-ajax-method="POST"
                              data-ajax-mode="replace"
                              data-loading-text="loading......"
                              data-ajax-update="#ajaxresult"
                              data-ajax-success="fn_Onsuccess(data,'Master/IntregratedControl/Index');"
                              data-ajax-failure="Errmsg(data);" id="Threatform" method="post">
                            <input type="hidden" name="Id" id="Id" value="@Model.Id" />
                            <input type="hidden" name="EventType" id="EventType" value="0" />
                            <input type="hidden" name="ICDCategoryMapXML" id="ICDCategoryMapXML" value="@Model.ICDCategoryMapXML" />
                            <input type="hidden" name="ICDStandardMapXML" id="ICDStandardMapXML" value="@Model.ICDStandardMapXML" />
                            <input type="hidden" name="ICDArtefactMapXML" id="ICDArtefactMapXML" value="@Model.ICDArtefactMapXML" />
                            <input type="hidden" name="ICDThreatMapXML" id="ICDThreatMapXML" value="@Model.ICDThreatMapXML" />
                            <input type="hidden" name="ICDRegulationMapXML" id="ICDRegulationMapXML" value="@Model.ICDRegulationMapXML" />
                            <input type="hidden" name="CountryIds" id="CountryIds" value="@Model.CountryIds" />
                            <input type="hidden" name="SectorIds" id="SectorIds" value="@Model.SectorIds" />
                            @*<div class="pb-2 mt-4 mb-2 border-bottom box_title">
                                    Domain
                                </div>*@
                            <div class="tab_ul">
                                <ul class="tab_ul_in">
                                    <li id="n1" data-id="domain" class="active">CONTROLS</li>
                                    <li id="n2" data-id="control">STANDARDS</li>
                                    <li id="n3" data-id="riskthreats">THREATS</li>
                                    <li id="n4" data-id="arrequired">ARTEFACTS REQUIRED</li>
                                    <li id="n5" data-id="clouddelivery">CLOUD DELIVERY</li>
                                    <li id="n6" data-id="regulation">REGULATION</li>
                                </ul>
                            </div>
                            <div class="tab_content active" id="domain">
                                <div class="row">
                                    <div class="col-md-4 col-sm-4 col-xs-12">
                                        <div class="row">
                                            <div class="col-md-10 col-sm-10 col-xs-10">
                                                <label>Domain</label>
                                                <div class="select_box m_bottom">
                                                    @Html.DropDownList("DomainId", Model.DdlDomain, "Select Domain", new { @class = "form-control m_no", onchange = "GetSubDomain(this)", required = "required" })
                                                </div>
                                            </div>
                                            <div class="col-md-2 col-sm-2 col-xs-2">
                                                @*<label class="addbtnNew" style="cursor:pointer" data-toggle="modal" data-target="#DomainModal"></label>*@
                                                <label class="addbtnNew" style="cursor:pointer" data-toggle="modal" data-target="#DomainModalDetails"></label>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-md-4 col-sm-4 col-xs-12">
                                        <div class="row">
                                            <div class="col-md-10 col-sm-10 col-xs-10">
                                                <label>Sub Domain</label>
                                                <div class="select_box m_bottom">
                                                    <select class="form-control m_no" name="SubDomainId" id="SubDomain" onchange="fn_getVal(this)" required>
                                                        <option value="">Select SubDomain</option>
                                                        @if (Model.Id > 0)
                                                        {
                                                            @foreach (var item in Model.DomainlistNew.Where(x => x.DomainId == Model.DomainId))
                                                            {
                                                                if (item.Id == Model.SubDomainId)
                                                                {
                                                                    <option value="@item.Id" selected>@item.SubDomain</option>
                                                                }
                                                                else
                                                                {
                                                                    <option value="@item.Id">@item.SubDomain</option>
                                                                }
                                                            }

                                                        }

                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-md-2 col-sm-2 col-xs-2">
                                                <label class="addbtnNew" style="cursor:pointer" data-toggle="modal" data-target="#SubDomainModalDetails"></label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-4 col-sm-6 col-xs-12">
                                        <label>Control Id</label>
                                        <div class="select_box m_bottom">
                                            @Html.TextBoxFor(m => m.ControlId, new { @class = "form-control", required = "required", ReadOnly = "ReadOnly", PlaceHolder = "Control Id" })
                                        </div>
                                    </div>
                                    <div class="col-md-4 col-sm-6 col-xs-12">
                                        <label>Name</label>
                                        <div class="select_box m_bottom">
                                            @Html.TextBoxFor(m => m.ControlName, new { @class = "form-control", required = "required", Placeholder = "Enter control name" })
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-4 col-sm-6 col-xs-12">
                                        <label>Category</label>
                                        <div class="select_box m_bottom">
                                            @Html.DropDownList("ControlCategoryId", Model.DdlControlCategory, new { @class = "form-control m_no multiple chosen-select", @multiple = "multiple" })
                                        </div>
                                    </div>
                                    <div class="col-md-4 col-sm-6 col-xs-12">
                                        <label>Control Type</label>
                                        <div class="select_box m_bottom">
                                            @Html.DropDownListFor(x => x.ControlTypeId, Model.DdlControlType, "Select Control Type", new { @class = "form-control m_no" })
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-4 col-sm-6 col-xs-12">
                                        <label>Description</label>
                                        <div class="select_box m_bottom">
                                            @Html.TextAreaFor(m => m.ControlDescription, new { @class = "form-control ControlDescription", required = "required", Placeholder = "Enter description" })
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <a href="javascript:void(0)" class="nextbtn" onclick="tabNextBack('control','n2')">Next</a>
                                    </div>
                                </div>
                            </div>
                            <div class="tab_content" id="control">
                                <div class="row">
                                    <div class="col-md-4 col-sm-6 col-xs-12">
                                        <label>Standards</label>
                                        <div class="select_box m_bottom">
                                            @Html.DropDownListFor(x => x.StandardIds, Model.DdlInternationalStandard, new { @class = "form-control m_no multiple chosen-select", @multiple = "multiple" })
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <a href="javascript:void(0)" class="backbtn" onclick="tabNextBack('domain','n1')">Back</a>
                                        <a href="javascript:void(0)" class="nextbtn" onclick="tabNextBack('riskthreats','n3')">Next</a>
                                    </div>
                                </div>
                            </div>
                            <div class="tab_content" id="riskthreats">
                                <div class="row">
                                    <div class="col-md-4 col-sm-6 col-xs-12">
                                        <label>Threat</label>
                                        <div class="select_box m_bottom">
                                            @Html.DropDownList("ThreatId", Model.DdlThreat, new { @class = "form-control m_no multiple chosen-select", @multiple = "multiple" })
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <a href="javascript:void(0)" class="backbtn" onclick="tabNextBack('control','n2')">Back</a>
                                        <a href="javascript:void(0)" class="nextbtn" onclick="tabNextBack('arrequired','n4')">Next</a>
                                    </div>
                                </div>
                            </div>
                            <div class="tab_content" id="arrequired">
                                <div id="multiRowDiv" class="addmultiName">
                                    @if (Model.Id > 0)
                                    {
                                        if (Model.Artefactlist.Count > 0)
                                        {
                                            foreach (var item in Model.Artefactlist)
                                            {
                                                <div class="row addRemoveDiv">
                                                    <div class="col-md-4 col-sm-6 col-xs-12">
                                                        <label>Name</label>
                                                        <div class="select_box m_bottom">
                                                            <input class="form-control Artefacts" value="@item.Name" placeholder="Enter name" />
                                                        </div>
                                                    </div>
                                                    <div class="col-2">
                                                        <label class="addbtn" onclick="AddMoreRow()" style="cursor:pointer"></label>
                                                    </div>
                                                </div>
                                            }
                                        }
                                        else
                                        {
                                            <div class="row addRemoveDiv">
                                                <div class="col-md-4 col-sm-6 col-xs-12">
                                                    <label>Name</label>
                                                    <div class="select_box m_bottom">
                                                        <input class="form-control Artefacts" placeholder="Enter name" />
                                                    </div>
                                                </div>
                                                <div class="col-2">
                                                    <label class="addbtn" onclick="AddMoreRow()" style="cursor:pointer"></label>
                                                </div>
                                            </div>
                                        }

                                    }
                                    else
                                    {
                                        <div class="row addRemoveDiv">
                                            <div class="col-md-4 col-sm-6 col-xs-12">
                                                <label>Name</label>
                                                <div class="select_box m_bottom">
                                                    <input class="form-control Artefacts" placeholder="Enter name" />
                                                </div>
                                            </div>
                                            <div class="col-2">
                                                <label class="addbtn" onclick="AddMoreRow()" style="cursor:pointer"></label>
                                            </div>
                                        </div>
                                    }

                                </div>


                                <div class="row">
                                    <div class="col-md-12">
                                        <a href="javascript:void(0)" class="backbtn" onclick="tabNextBack('riskthreats','n3')">Back</a>
                                        <a href="javascript:void(0)" class="nextbtn" onclick="tabNextBack('clouddelivery','n5')">Next</a>
                                    </div>
                                </div>
                            </div>
                            <div class="tab_content" id="clouddelivery">
                                <div class="row">
                                    <div class="col-2">
                                        <label>Cloud Delivery</label>
                                        <div class="select_box input_rembg m_bottom">
                                            <input type="text" class="form-control" name="IaaS" id="IaaS" value="IaaS" readonly />
                                            <input type="text" class="form-control" name="PaaS" id="PaaS" value="PaaS" readonly />
                                            <input type="text" class="form-control" name="SaaS" id="SaaS" value="SaaS" readonly />
                                        </div>
                                    </div>
                                    @if (Model.Id > 0)
                                    {
                                        var intA1 = Model.IaaS.Split(",").Select(int.Parse).ToArray();
                                        var intA2 = Model.PaaS.Split(",").Select(int.Parse).ToArray();
                                        var intA3 = Array.ConvertAll(Model.SaaS.Split(","), int.Parse);
                                        <div class="col-2">
                                            <label>Cloud Consumer</label>
                                            <div class="select_box select_check m_bottom">
                                                <input type="checkbox" class="form-control CloudCheckbox" value="1" @(intA1[0] > 0 ? "checked" : "") />
                                                <input type="checkbox" class="form-control CloudCheckbox" value="1" @(intA2[0] > 0 ? "checked" : "") />
                                                <input type="checkbox" class="form-control CloudCheckbox" value="1" @(intA3[0] > 0 ? "checked" : "") />
                                            </div>
                                        </div>
                                        <div class="col-2">
                                            <label>Service Provider</label>
                                            <div class="select_box select_check m_bottom">
                                                <input type="checkbox" class="form-control CloudCheckbox" value="2" @(intA1[1] > 0 ? "checked" : "") />
                                                <input type="checkbox" class="form-control CloudCheckbox" value="2" @(intA2[1] > 0 ? "checked" : "") />
                                                <input type="checkbox" class="form-control CloudCheckbox" value="2" @(intA3[1] > 0 ? "checked" : "") />
                                            </div>
                                        </div>
                                    }
                                    else
                                    {
                                        <div class="col-2">
                                            <label>Cloud Consumer</label>
                                            <div class="select_box select_check m_bottom">
                                                <input type="checkbox" class="form-control CloudCheckbox" value="1" />
                                                <input type="checkbox" class="form-control CloudCheckbox" value="1" />
                                                <input type="checkbox" class="form-control CloudCheckbox" value="1" />
                                            </div>
                                        </div>
                                        <div class="col-2">
                                            <label>Service Provider</label>
                                            <div class="select_box select_check m_bottom">
                                                <input type="checkbox" class="form-control CloudCheckbox" value="2" />
                                                <input type="checkbox" class="form-control CloudCheckbox" value="2" />
                                                <input type="checkbox" class="form-control CloudCheckbox" value="2" />
                                            </div>
                                        </div>
                                    }

                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <a href="javascript:void(0)" class="backbtn" onclick="tabNextBack('arrequired','n4')">Back</a>
                                        <a href="javascript:void(0)" class="nextbtn" onclick="tabNextBack('regulation','n6')">Next</a>
                                    </div>
                                </div>
                            </div>
                            <div class="tab_content" id="regulation">
                                <div style="text-align:right">
                                    <button class="btn btn-info" type="button" data-toggle="modal" data-target="#ModelAddRegulations">Add Regulations</button>
                                </div>
                                <div class="row">
                                    <div class="col-md-4 col-sm-6 col-xs-12">
                                        <label>Country</label>
                                        <div class="select_box m_bottom">
                                            @Html.DropDownListFor(x => x.CountryId, Model.DdlCountry, new { @class = "form-control m_no multiple", @multiple = "multiple", @onchange = "fn_GetRegulation()" })
                                        </div>
                                        <label>Sector</label>
                                        <div class="select_box m_bottom">
                                            @Html.DropDownList("SectorId", Model.DdlSector, new { @class = "form-control m_no multiple chosen-select", @multiple = "multiple", @onchange = "fn_GetRegulation()" })
                                        </div>
                                    </div>

                                    <div class="col-md-8 col-sm-6 col-xs-12" style="padding-top:35px">
                                        <div class="tbl_regulation">
                                            <div class="table_control">
                                                <table id="MixRegulation" class="table">
                                                    <thead>
                                                        <tr>
                                                            <th>Select</th>
                                                            <th>Country</th>
                                                            <th>Sector</th>
                                                            <th>Regulation</th>
                                                            <th>RequirementId</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        @if (Model.Id > 0)
                                                        {
                                                            @if (Model.RegulationMapList.Count > 0)
                                                            {
                                                                foreach (var item in Model.RegulationMapList)
                                                                {
                                                                    <tr>
                                                                        <td><input type='checkbox' class='RegulationId' value="@item.RegulationId" /></td>
                                                                        <td>@item.CountryName</td>
                                                                        <td>@item.SectorName</td>
                                                                        <td>@item.RegulationName</td>
                                                                        <td>@item.Requirement_ID</td>
                                                                    </tr>
                                                                }
                                                            }
                                                        }
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12 col-sm-6 col-xs-12">
                                        <a href="javascript:void(0)" class="backbtn" onclick="tabNextBack('clouddelivery','n5')">Back</a>
                                        <div class="submitbtn">
                                            <input type="submit" id="btnsubmit" name="Submit" value="Submit" onclick="fnSetMultiselectValue()">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="assign_panel">
                        <div class="col-lg-12 col-md-8 col-sm-8 col-xs-8">
                            <div class="row pb-2">
                                <div class="col-10">
                                    <div id="divUploadRCM">
                                        <div class="row">
                                            <div class="col-3 pt-1">
                                                <a href="/Template/TemplateICD.xlsx" class="btn btn-info"><i class="fa fa-download"></i>&nbsp;Download Template</a>
                                            </div>
                                            <div class="col-4">
                                                <input type="file" id="excelFile" class="form-control" accept=".xls,.xlsx,.xlsm" onchange="fnValidateFile(this)">
                                            </div>
                                            <div class="col-3 pt-1" id="divBtnSubmit" style="display:none">
                                                <button class="btn btn-info" id="btnSubmit" onclick="UploadExcel()">Submit</button>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-3"></div>
                                            <div class="col-8 p-0">
                                                <strong style="padding:15px; font-size:14px; color:sandybrown;" id="strongAlert">Please choose only downloaded excel file.</strong>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-2">
                                    <div class="addbtn">
                                        <div class="add_litigation">
                                            <span>+</span>
                                            <input type="button" onclick="AddButton()" value="Add Control">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row" id="MainDiv">
                                <div class="col-md-4 col-sm-12 col-xs-12">
                                    <div class="domaincls">
                                        <ul class="orgmap">
                                            @foreach (var item in Model.Domainlist)
                                            {
                                                <li class="first inactive">
                                                    <div>
                                                        <span class="text Event">@item.DomainName</span>
                                                    </div>
                                                    <ul>
                                                        @foreach (var item2 in Model.DomainlistNew.Where(m => m.DomainId == item.Id))
                                                        {
                                                            <li>
                                                                <div>
                                                                    <span class="text" title="@item2.SubDomain" onclick="fn_BindICDControls('@item2.Id', this)">@item2.SubDomain</span>
                                                                </div>
                                                            </li>
                                                        }
                                                    </ul>
                                                </li>
                                            }
                                        </ul>
                                    </div>
                                </div>
                                <div class="col-md-8 col-sm-12 col-xs-12">
                                    <div class="domaincls">
                                        <div class="table_control">
                                            <table class="table" id="tblICD">
                                                <thead>
                                                    <tr>
                                                        <th>Control Type</th>
                                                        <th>Control Id</th>
                                                        <th>Control Name</th>
                                                        <th>Control Description</th>
                                                        <th style="width: 130px">Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <tr>
                                                        <td colspan="5" class="text-center">No record found...</td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="modal" id="DomainModalDetails" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header modalbg">
                        <h5 class="modal-title" id="exampleModalLabel">Domain Details</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">

                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-info" type="button" onclick="fn_GetDomainNameAdd()" data-toggle="modal" data-target="#DomainModal">Add</button>
                        @*<label class="addbtnNew" style="cursor:pointer" data-toggle="modal" data-target="#DomainModal"></label>*@
                        <button class="btn btn-info" onclick="fn_GetDomainName()" type="button" data-toggle="modal" data-target="#DomainModal">Edit</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>


        <div class="modal" id="DomainModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header modalbg">
                        <h5 class="modal-title" id="exampleModalLabel">Add Domain</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-md-6 col-sm-6 col-xs-6">
                                <label class="required">Domain Name</label>
                                <input class="form-control" id="DomaintypeId" style="display:none;" />
                                <input class="form-control" autocomplete="off" id="DomainName" placeholder="Enter domain name" />
                            </div>
                            <div class="col-md-6 col-sm-6 col-xs-6">
                                <label class="required">Domain Code</label>
                                <input class="form-control" autocomplete="off" id="DomainCode" placeholder="Enter domain code" />
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn cusbtn-primary" id="cBtn">Save</button>
                        <button type="button" class="btn cusbtn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>

        <div class="modal" id="SubDomainModalDetails" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header modalbg">
                        <h5 class="modal-title" id="exampleModalLabel">Sub Domain Details</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">

                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-info" type="button" onclick="fn_GetSubDomainNameAdd()" data-toggle="modal" data-target="#SubDomainModal">Add</button>
                        <button class="btn btn-info" onclick="fn_GetSubDomainName()" type="button" data-toggle="modal" data-target="#SubDomainModal">Edit</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>


        <div class="modal" id="SubDomainModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header modalbg">
                        <h5 class="modal-title" id="exampleModalLabel">Add Sub Domain</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-md-6 col-sm-6 col-xs-6">
                                <label class="required">Domain</label>
                                <select class='form-control m_no ClsProcessOwner' id="SubDomainNameId" asp-items="@Model.DdlDomain"><option>--Select--</option></select>
                            </div>
                        </div>
                        <div class="row" style="padding-top:15px">
                            <div class="col-md-6 col-sm-6 col-xs-6">
                                <label class="required">Sub Domain Name</label>
                                <input class="form-control" id="SubDomaintypeId" style="display:none;" />
                                <input class="form-control" autocomplete="off" id="SubDomainName" placeholder="Enter sub domain name" />
                            </div>
                            <div class="col-md-6 col-sm-6 col-xs-6">
                                <label class="required">Sub Domain Code</label>
                                <input class="form-control" autocomplete="off" id="SubDomainCode" placeholder="Enter sub domain code" />
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn cusbtn-primary" onclick="fn_updateDomain()" id="cBtnSubDomain">Save</button>
                        <button type="button" class="btn cusbtn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>


        <div class="modal" id="ModelAddRegulations" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog" role="document" style="width: 80%;max-width: 80%;">
                <div class="modal-content" style="width:100%">
                    <div class="modal-header modalbg">
                        <h5 class="modal-title" id="exampleModalLabel">Add Regulations</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-md-4 col-sm-6 col-xs-12">
                                <label class="required">Country</label>
                                <div class="select_box m_bottom">
                                    @Html.DropDownListFor(m => m.CountryId, Model.DdlCountry, "Select", new { @class = "form-control m_no", required = "required" })
                                </div>
                            </div>
                            <div class="col-md-4 col-sm-6 col-xs-12">
                                <label class="required">Law/Regulation Name</label>
                                <div class="select_box m_bottom">
                                    @Html.TextBoxFor(m => m.Title, new { @class = "form-control m_no", @placeholder = "Enter Law/Regulation Name", required = "required" })
                                </div>
                            </div>
                            <div class="col-md-4 col-sm-6 col-xs-12">
                                <label class="required">Law/Regulation Code</label>
                                <div class="select_box m_bottom">
                                    @Html.TextBoxFor(m => m.Code, new { @class = "form-control m_no", @placeholder = "Enter Law/Regulation Code", required = "required" })
                                </div>
                            </div>
                        </div>

                        <div class="pb-2 mt-4 mb-2 border-bottom box_title">Regulation Details</div>
                        @Html.HiddenFor(m => m.xmlRegulation)
                        @Html.HiddenFor(m => m.Id)

                        <div class="row pt-3">
                            <div class="col-md-12 col-sm-6 col-xs-12">
                                <div class="table_control">
                                    <table class="table" id="tblRegulationDetail">
                                        <thead>
                                            <tr>
                                                <th>S.No.</th>
                                                <th hidden>ID</th>
                                                <th>Type</th>
                                                <th>Sector</th>
                                                <th>Section</th>
                                                <th>Domain</th>
                                                <th>Publish Year</th>
                                                <th>Revision</th>
                                                <th>Requirement_Id</th>
                                                <th>Remarks</th>
                                                <th><input type="button" value="Add" class="pull-right" onclick="fn_AddNewRow();"></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @{int i = 0;}
                                            @if (Model.Id > 0)
                                            {
                                                if (Model.MapLawRegulationsList.Count > 0)
                                                {
                                                    foreach (var item in Model.MapLawRegulationsList)
                                                    {
                                                        <tr>
                                                            <td>@(++i)</td>
                                                            <td><select class='form-control m_no ClsRegulationType' asp-for="@item.TypeId" asp-items="@Model.Ddltype"><option>--Select--</option></select></td>
                                                            <td><select class='form-control m_no ClsRegulationSector' asp-for="@item.Sector" asp-items="@Model.DdlSector"><option>--Select--</option></select></td>
                                                            <td><select class='form-control m_no ClsRegulationSection' asp-for="@item.Section" asp-items="@Model.DdlSection"><option>--Select--</option></select></td>
                                                            <td><select class='form-control m_no ClsRegulationDomain' asp-for="@item.Domain" asp-items="@Model.DdlDomain"><option>--Select--</option></select></td>
                                                            <td><input type="text" class="form-control" value="@item.PublishYear" /></td>
                                                            <td><input type="text" class="form-control" value="@item.Revision" /></td>
                                                            <td><input type="text" class="form-control" value="@item.RequirementId" /></td>
                                                            <td><input type="text" class="form-control" value="@item.Remarks" /></td>
                                                            <td><a class="delete_btn" onclick="removeRow($(this))"></a></td>
                                                        </tr>
                                                    }
                                                }
                                            }
                                            else
                                            {
                                                <tr>
                                                    <td>1</td>
                                                    <td><select class='form-control m_no ClsRegulationType' asp-for="@Model.TypeId" asp-items="@Model.Ddltype"><option>--Select--</option></select></td>
                                                    <td><select class='form-control m_no ClsRegulationSector' asp-for="@Model.SectorId" asp-items="@Model.DdlSector"><option>--Select--</option></select></td>
                                                    <td><select class='form-control m_no ClsRegulationSection' asp-for="@Model.Section" asp-items="@Model.DdlSection"><option>--Select--</option></select></td>
                                                    <td><select class='form-control m_no ClsRegulationDomain' asp-for="@Model.Domain" asp-items="@Model.DdlDomain"><option>--Select--</option></select></td>
                                                    <td><input type="text" class="form-control" /></td>
                                                    <td><input type="text" class="form-control" /></td>
                                                    <td><input type="text" class="form-control" /></td>
                                                    <td><input type="text" class="form-control" /></td>
                                                    <td><a class="delete_btn" onclick="removeRow($(this))"></a></td>
                                                </tr>
                                            }

                                        </tbody>
                                    </table>

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <input type="submit" class="btn cusbtn-primary" id="btnsubmit" name="Submit" value="Submit" onclick="fn_SaveRegulationXmlSelf();">
                        <button type="button" class="btn cusbtn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<script>
    $(document).ready(function () {
        $(".tab_ul_in > li").click(function () {
            $(".tab_ul_in > li").removeClass("active");
            $(this).addClass("active");
            var id = $(this).attr("data-id");
            $(".tab_content").removeClass("active");
            $("#" + id).addClass("active");
        })
    });
    function tabNextBack(tabid, li) {
        $(".tab_ul_in > li").removeClass("active");
        $("#" + li).addClass("active")
        $(".tab_content").removeClass("active");
        $("#" + tabid).addClass("active");
    }
</script>

